summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Marek Srejma2015-01-05 04:38:40 +0100
committer Willy Sudiarto Raharjo2015-01-05 04:38:40 +0100
commitdc38ca8012894a9bf78ed43e98800a4c415be4df (patch)
treec29c6f7a5a92d223dda2b57f070817b2a381b6ba
parentf9947e3c53499585ee21846cd0da930d7a1393ee (diff)
downloadslackbuilds-dc38ca8012894a9bf78ed43e98800a4c415be4df.tar.gz
system/simpleburn: Added (CD / DVD burning and extraction tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/simpleburn/README13
-rw-r--r--system/simpleburn/doinst.sh3
-rw-r--r--system/simpleburn/simpleburn.SlackBuild87
-rw-r--r--system/simpleburn/simpleburn.info10
-rw-r--r--system/simpleburn/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/system/simpleburn/README b/system/simpleburn/README
new file mode 100644
index 0000000000..2f04a2955a
--- /dev/null
+++ b/system/simpleburn/README
@@ -0,0 +1,13 @@
+SimpleBurn: a CD / DVD burning and extraction tool
+
+SimpleBurn is a minimalistic application for burning and extracting CDs and DVDs.
+It basically is a Cdrtools frontend and is designed in two parts: the GUI (GTK) and
+a BASH script that handle the requested actions.
+
+Features are:
+ - CD/DVD ISO image extraction and burning
+ - audio CD extraction and burning
+ - data directory burning on CD/DVD
+ - rewritable CD/DVD blanking
+ - video DVD ripping
+ - languages: cs, de, en, es, fr, hu, it, pl, sv, ru
diff --git a/system/simpleburn/doinst.sh b/system/simpleburn/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/simpleburn/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/simpleburn/simpleburn.SlackBuild b/system/simpleburn/simpleburn.SlackBuild
new file mode 100644
index 0000000000..75606096cc
--- /dev/null
+++ b/system/simpleburn/simpleburn.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+#
+# Slackware build script for simpleburn
+#
+# Copyright 2015 Marek Srejma (sam_web@yahoo.de)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=simpleburn
+VERSION=${VERSION:-1.7.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cmake -DCMAKE_INSTALL_PREFIX=/usr [-DGTK3=ON] .
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/simpleburn/simpleburn.info b/system/simpleburn/simpleburn.info
new file mode 100644
index 0000000000..1a7be17c7c
--- /dev/null
+++ b/system/simpleburn/simpleburn.info
@@ -0,0 +1,10 @@
+PRGNAM="simpleburn"
+VERSION="1.7.1"
+HOMEPAGE="http://simpleburn.tuxfamily.org/"
+DOWNLOAD="http://simpleburn.tuxfamily.org/IMG/gz/simpleburn-1.7.1.tar.gz"
+MD5SUM="2d935199a8f2ecead9a1aa00688caf13"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Marek Srejma (slacksam)"
+EMAIL="sam_web@yahoo.de"
diff --git a/system/simpleburn/slack-desc b/system/simpleburn/slack-desc
new file mode 100644
index 0000000000..c7ffea2771
--- /dev/null
+++ b/system/simpleburn/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+simpleburn: simpleburn (CD / DVD burning and extraction tool)
+simpleburn:
+simpleburn: SimpleBurn is a minimalistic application for burning and extracting
+simpleburn: CDs and DVDs. It basically is a Cdrtools frontend and is designed in
+simpleburn: two parts: the GUI (GTK) and a BASH script that handle the requested
+simpleburn: actions.
+simpleburn:
+simpleburn:
+simpleburn: http://simpleburn.tuxfamily.org
+simpleburn:
+simpleburn: